	ngraph = 8
	minh = 8.45655

	perc = 0.05
	conv = 1239.8							
	A = double.empty;
	corre = fopen('numelmeanwave.asc','w');
    alle = fopen('all_energy.asc','w');

	for k = 2:ngraph

        energy = double.empty;
        alle = fopen('all_energy.asc','a');
      	dataname = sprintf('1s (%i)', k);
    	filename = [dataname,'.csv'];                                                        
        data = importdata(filename);                                                         

		wavelength = data(:,1);
		avewave = data(:,1);
		intensity = smooth(data(:,2),9,'sgolay',3);
		aveintens = intensity;
		
		[picchi,indice] = findpeaks (intensity,'MINPEAKHEIGHT',minh,'SORTSTR','ascend');     
			
		if isempty(picchi) == 1
			test = 1
			n=0
			picchi(1) = 0 
			minimaltezza = 0
			average = 0
			figure(k); plot(wavelength,intensity);
			media = 0
			error = 0
		else		
			aveintens(aveintens > picchi(1)) = []
			if mean(aveintens) >= 0	
				average = mean(aveintens)                                                    
			else 
				average = 0
			end
 
			intensity = intensity - average
			picchi = picchi - average
			minimaltezza = minh + perc*picchi(end)                                          				   		
                                                                                           
			[pks,index] = findpeaks (intensity,'MINPEAKHEIGHT',minimaltezza);            
			
			n = numel(wavelength(index))

			if n == 0
				picchi(1) = 0 
				minimaltezza = 0
				average = 0
				figure(k); plot(wavelength,intensity);
				media = 0
				error = 0
			else	
				energy = conv./wavelength(index)
				media = mean(energy)
				sigma = std(energy,1)
				error = std(energy,1)/n
                fprintf(alle, '%f\n', energy);
			end

			%n = numel(wavelength(index));
			figure(k); plot(wavelength,intensity); hold on;
			xlabel('Emission energy (eV)')
			ylabel('Intensity (counts)')
			title('QD emission')
			figure(k); plot(wavelength(index),pks,'k^','markerfacecolor',[1 0 0]);
			hold off;
			
		end
		A = [A;k;n;energy(end);media;error];
        energy(end) = 0;
        
		
	end

	fprintf(corre,'%5.7f %5.7f %5.7f %5.7f %5.7f\r\n',A);
	fclose(corre);
    fclose(alle)




